# Class UserIntSpecifier

java.lang.Object
uk.ac.starlink.ttools.plot2.config.SpecifierPanel<Integer>
uk.ac.starlink.topcat.UserIntSpecifier

All Implemented Interfaces:
  `uk.ac.starlink.ttools.plot2.config.Specifier<Integer>`

public class UserIntSpecifier extends uk.ac.starlink.ttools.plot2.config.SpecifierPanel<Integer>
Component that allows the user to adjust an integer value. This implements the `Specifier` interface since that's what's required here, though it's not intended to be used like most other `Specifier` implementations (for instance the component is much less compact).

Since:
  4 Jul 2025
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`UserIntSpecifier()`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`protected JComponent`
`createComponent()`
`Integer`
`getSpecifiedValue()`
`void`
`setSpecifiedValue(Integer value)`
`void`
`submitReport(uk.ac.starlink.ttools.plot2.ReportMap report)`
No-op.

### Methods inherited from class uk.ac.starlink.ttools.plot2.config.SpecifierPanel

`addActionListener, fireAction, getActionForwarder, getChangeForwarder, getComponent, isXFill, removeActionListener`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### UserIntSpecifier

public UserIntSpecifier()
Constructor.

## Method Details

### createComponent

protected JComponent createComponent()

Specified by:
  `createComponent` in class `uk.ac.starlink.ttools.plot2.config.SpecifierPanel<Integer>`

### getSpecifiedValue

public Integer getSpecifiedValue()

### setSpecifiedValue

public void setSpecifiedValue(Integer value)

### submitReport

public void submitReport(uk.ac.starlink.ttools.plot2.ReportMap report)
No-op.